SES Dashboard Nonexistent Page (404) Physical Path Disclosure.

This document (000019765) is provided subject to the disclaimer at the end of this document.

Environment

SUSE Enterprise Storage 6

Situation

The SES Dashboard reveals the physical path of the webroot when a nonexistent page is requested.

Resolution

This issue can be resolved by disabling dashboard debug: 
# ceph dashboard debug status
Debug: 'enabled'
# ceph dashboard debug disable

Cause

SES dashboard was in debug mode.
# ceph dashboard debug status
# ceph dashboard debug disable
# ceph dashboard debug enable

Status

Top Issue

Additional Information

Exhibit of the problem :
https://SESmgrNode:8443/test
{"status": "404 Not Found", "detail": "The path '/test' was not found.", "request_id": "f2eeb159-7925-4de5-bff0-4214b04d24b5", "traceback": "Traceback (most recent call last):\n  File \"/usr/lib/python3.6/site-packages/cherrypy/lib/static.py\", line 51, in serve_file\n    st = os.stat(path)\nFileNotFoundError: [Errno 2] No such file or directory: '/usr/share/ceph/mgr/dashboard/frontend/dist/en-US/test'\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n  File \"/usr/lib/python3.6/site-packages/cherrypy/_cprequest.py\", line 670, in respond\n    response.body = self.handler()\n  File \"/usr/lib/python3.6/site-packages/cherrypy/lib/encoding.py\", line 221, in __call__\n    self.body = self.oldhandler(*args, **kwargs)\n  File \"/usr/lib/python3.6/site-packages/cherrypy/_cptools.py\", line 237, in wrap\n    return self.newhandler(innerfunc, *args, **kwargs)\n  File \"/usr/share/ceph/mgr/dashboard/services/exception.py\", line 88, in dashboard_exception_handler\n    return handler(*args, **kwargs)\n  File \"/usr/lib/python3.6/site-packages/cherrypy/_cpdispatch.py\", line 60, in __call__\n    return self.callable(*self.args, **self.kwargs)\n  File \"/usr/share/ceph/mgr/dashboard/controllers/home.py\", line 126, in __call__\n    return serve_file(full_path)\n  File \"/usr/lib/python3.6/site-packages/cherrypy/lib/static.py\", line 58, in serve_file\n    raise cherrypy.NotFound()\ncherrypy._cperror.NotFound: (404, \"The path '/test' was not found.\")\n", "version": "10.2.1"}

 

Disclaimer

This Support Knowledgebase provides a valuable tool for SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:000019765
  • Creation Date: 29-Oct-2020
  • Modified Date:29-Oct-2020
    • SUSE Enterprise Storage

< Back to Support Search

For questions or concerns with the SUSE Knowledgebase please contact: tidfeedback@suse.com

SUSE Support Forums

Get your questions answered by experienced Sys Ops or interact with other SUSE community experts.

Join Our Community

Support Resources

Learn how to get the most from the technical support you receive with your SUSE Subscription, Premium Support, Academic Program, or Partner Program.


SUSE Customer Support Quick Reference Guide SUSE Technical Support Handbook Update Advisories
Support FAQ

Open an Incident

Open an incident with SUSE Technical Support, manage your subscriptions, download patches, or manage user access.

Go to Customer Center